List approval keys
curl --request GET \
--url https://api.anchorage-staging.com/v4/approvers/keys \
--header 'Api-Access-Key: <api-key>'import requests
url = "https://api.anchorage-staging.com/v4/approvers/keys"
headers = {"Api-Access-Key": "<api-key>"}
response = requests.get(url, headers=headers)
print(response.text)const options = {method: 'GET', headers: {'Api-Access-Key': '<api-key>'}};
fetch('https://api.anchorage-staging.com/v4/approvers/keys', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));{
"data": [
{
"id": "3486b413-93d3-4447-afce-2b9c9dc34a32",
"status": "ACTIVE",
"organizationId": "<string>",
"apiKeyId": "<string>",
"publicKey": "<string>",
"label": "<string>",
"createdAt": "2019-01-02T12:34:56.000Z",
"approvalGroupId": "3486b413-93d3-4447-afce-2b9c9dc34a32",
"archivedAt": "2019-01-02T12:34:56.000Z"
}
],
"page": {
"endCursor": "<string>"
}
}{
"message": "Missing required field 'amount'."
}{
"message": "Missing required field 'amount'."
}{
"message": "Missing required field 'amount'."
}{
"message": "Missing required field 'amount'."
}{
"message": "Missing required field 'amount'."
}List approval keys
List the caller’s organization’s approval keys in one status, newest first by createdAt, then by
id. The caller’s key must hold READ_IAAS_POLICY_ENGINE or MANAGE_IAAS_POLICY_ENGINE.
GET
/
approvers
/
keys
List approval keys
curl --request GET \
--url https://api.anchorage-staging.com/v4/approvers/keys \
--header 'Api-Access-Key: <api-key>'import requests
url = "https://api.anchorage-staging.com/v4/approvers/keys"
headers = {"Api-Access-Key": "<api-key>"}
response = requests.get(url, headers=headers)
print(response.text)const options = {method: 'GET', headers: {'Api-Access-Key': '<api-key>'}};
fetch('https://api.anchorage-staging.com/v4/approvers/keys', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));{
"data": [
{
"id": "3486b413-93d3-4447-afce-2b9c9dc34a32",
"status": "ACTIVE",
"organizationId": "<string>",
"apiKeyId": "<string>",
"publicKey": "<string>",
"label": "<string>",
"createdAt": "2019-01-02T12:34:56.000Z",
"approvalGroupId": "3486b413-93d3-4447-afce-2b9c9dc34a32",
"archivedAt": "2019-01-02T12:34:56.000Z"
}
],
"page": {
"endCursor": "<string>"
}
}{
"message": "Missing required field 'amount'."
}{
"message": "Missing required field 'amount'."
}{
"message": "Missing required field 'amount'."
}{
"message": "Missing required field 'amount'."
}{
"message": "Missing required field 'amount'."
}Query Parameters
Was this page helpful?